
const int btnUp = 9; //Taster

int statusBtnUp = 0; //Status des Tasters
int index = 0; // Zählvariable

void setup() {
  Serial.begin(9600); //Beginn der Seriellenkommunikation
  pinMode(btnUp,INPUT); //Setzen des Eingangssignals des Tasters
}

void loop() {
  statusBtnUp = digitalRead(btnUp); //Lesen des Status des Tasters.

  //Wenn der Taster auf HIGH ist dann den Zähler
  //um eins erhöhen.
  if(statusBtnUp == HIGH){ 
    index = index+1;
  }

  //Ausgabe des Wertes der Zählervariable auf 
  //den seriellen Ausgang.
  Serial.print("Index = ");
  Serial.println(index);

  //Pause von 450ms.
  //Die Pause muss auf den Taster und ggf. den Benutzer abgestimmt sein.
  //Denn wenn der Taster gedrückt wird und die Pause zu klein ist kann ggf. 
  //zwei oder mehr Signale gleichzeitig empfangen werden.
  delay(450); 
}
